include:
  - template: /backports/OpenTofu.gitlab-ci.yml

stages: [validate, test, build, deploy, cleanup]

# Required to run everything immediately, instead of manually.

fmt:
  rules: [{when: always}]

validate:
  rules: [{when: always}]

plan:
  rules: [{when: always}]

apply: 
  rules: [{when: always}]

destroy:
  rules: [{when: always}]

delete-state:
  rules: [{when: always}]

